Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManagerForm.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManagerForm.Designer.cs	(revision 3546)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManagerForm.Designer.cs	(revision 3547)
@@ -48,13 +48,15 @@
       this.toolStripProgressBar = new System.Windows.Forms.ToolStripProgressBar();
       this.toolStripStatusLabel = new System.Windows.Forms.ToolStripStatusLabel();
-      this.removeButton = new System.Windows.Forms.Button();
-      this.installButton = new System.Windows.Forms.Button();
       this.tabControl = new System.Windows.Forms.TabControl();
+      this.updateAllPluginsTabPage = new System.Windows.Forms.TabPage();
+      this.basicUpdateView = new HeuristicLab.PluginInfrastructure.Advanced.BasicUpdateView();
       this.localPluginsTabPage = new System.Windows.Forms.TabPage();
-      this.updateButton = new System.Windows.Forms.Button();
+      this.localPluginsView = new HeuristicLab.PluginInfrastructure.Advanced.LocalPluginsView();
       this.availablePluginsTabPage = new System.Windows.Forms.TabPage();
-      this.refreshButton = new System.Windows.Forms.Button();
+      this.remotePluginInstaller = new HeuristicLab.PluginInfrastructure.Advanced.RemotePluginInstallerView();
       this.uploadPluginsTabPage = new System.Windows.Forms.TabPage();
+      this.pluginEditor = new HeuristicLab.PluginInfrastructure.Advanced.PluginEditor();
       this.manageProductsTabPage = new System.Windows.Forms.TabPage();
+      this.productEditor = new HeuristicLab.PluginInfrastructure.Advanced.ProductEditor();
       this.logTabPage = new System.Windows.Forms.TabPage();
       this.logTextBox = new System.Windows.Forms.TextBox();
@@ -65,10 +67,7 @@
       this.optionsToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
       this.connectionSettingsToolStripMenuItem = new System.Windows.Forms.ToolStripMenuItem();
-      this.localPluginManagerView = new HeuristicLab.PluginInfrastructure.Advanced.LocalPluginManagerView();
-      this.remotePluginInstaller = new HeuristicLab.PluginInfrastructure.Advanced.RemotePluginInstallerView();
-      this.pluginEditor = new HeuristicLab.PluginInfrastructure.Advanced.PluginEditor();
-      this.productEditor = new HeuristicLab.PluginInfrastructure.Advanced.ProductEditor();
       this.statusStrip.SuspendLayout();
       this.tabControl.SuspendLayout();
+      this.updateAllPluginsTabPage.SuspendLayout();
       this.localPluginsTabPage.SuspendLayout();
       this.availablePluginsTabPage.SuspendLayout();
@@ -84,7 +83,7 @@
             this.toolStripProgressBar,
             this.toolStripStatusLabel});
-      this.statusStrip.Location = new System.Drawing.Point(0, 398);
+      this.statusStrip.Location = new System.Drawing.Point(0, 422);
       this.statusStrip.Name = "statusStrip";
-      this.statusStrip.Size = new System.Drawing.Size(615, 22);
+      this.statusStrip.Size = new System.Drawing.Size(622, 22);
       this.statusStrip.TabIndex = 0;
       // 
@@ -102,32 +101,4 @@
       this.toolStripStatusLabel.Size = new System.Drawing.Size(0, 17);
       // 
-      // removeButton
-      // 
-      this.removeButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.removeButton.Enabled = false;
-      this.removeButton.Image = global::HeuristicLab.PluginInfrastructure.Properties.Resources.VS2008ImageLibrary_CommonElements_Actions_Remove;
-      this.removeButton.Location = new System.Drawing.Point(103, 305);
-      this.removeButton.Name = "removeButton";
-      this.removeButton.Size = new System.Drawing.Size(110, 31);
-      this.removeButton.TabIndex = 11;
-      this.removeButton.Text = "Delete Selected";
-      this.removeButton.TextImageRelation = System.Windows.Forms.TextImageRelation.ImageBeforeText;
-      this.removeButton.UseVisualStyleBackColor = true;
-      this.removeButton.Click += new System.EventHandler(this.removeLocalButton_Click);
-      // 
-      // installButton
-      // 
-      this.installButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.installButton.Enabled = false;
-      this.installButton.Image = global::HeuristicLab.PluginInfrastructure.Properties.Resources.VS2008ImageLibrary_Objects_Install;
-      this.installButton.Location = new System.Drawing.Point(84, 305);
-      this.installButton.Name = "installButton";
-      this.installButton.Size = new System.Drawing.Size(140, 31);
-      this.installButton.TabIndex = 15;
-      this.installButton.Text = "Install Selected Items";
-      this.installButton.TextImageRelation = System.Windows.Forms.TextImageRelation.ImageBeforeText;
-      this.installButton.UseVisualStyleBackColor = true;
-      this.installButton.Click += new System.EventHandler(this.updateOrInstallButton_Click);
-      // 
       // tabControl
       // 
@@ -135,4 +106,5 @@
                   | System.Windows.Forms.AnchorStyles.Left)
                   | System.Windows.Forms.AnchorStyles.Right)));
+      this.tabControl.Controls.Add(this.updateAllPluginsTabPage);
       this.tabControl.Controls.Add(this.localPluginsTabPage);
       this.tabControl.Controls.Add(this.availablePluginsTabPage);
@@ -143,60 +115,80 @@
       this.tabControl.Name = "tabControl";
       this.tabControl.SelectedIndex = 0;
-      this.tabControl.Size = new System.Drawing.Size(591, 368);
+      this.tabControl.Size = new System.Drawing.Size(598, 392);
       this.tabControl.TabIndex = 16;
       this.tabControl.Selected += new System.Windows.Forms.TabControlEventHandler(this.tabControl_Selected);
       // 
+      // updateAllPluginsTabPage
+      // 
+      this.updateAllPluginsTabPage.Controls.Add(this.basicUpdateView);
+      this.updateAllPluginsTabPage.Location = new System.Drawing.Point(4, 22);
+      this.updateAllPluginsTabPage.Name = "updateAllPluginsTabPage";
+      this.updateAllPluginsTabPage.Padding = new System.Windows.Forms.Padding(3);
+      this.updateAllPluginsTabPage.Size = new System.Drawing.Size(590, 366);
+      this.updateAllPluginsTabPage.TabIndex = 5;
+      this.updateAllPluginsTabPage.Text = "Update Plugins";
+      this.updateAllPluginsTabPage.UseVisualStyleBackColor = true;
+      // 
+      // basicUpdateView
+      // 
+      this.basicUpdateView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.basicUpdateView.InstallationManager = null;
+      this.basicUpdateView.Location = new System.Drawing.Point(6, 6);
+      this.basicUpdateView.Name = "basicUpdateView";
+      this.basicUpdateView.PluginManager = null;
+      this.basicUpdateView.Size = new System.Drawing.Size(578, 354);
+      this.basicUpdateView.StatusView = null;
+      this.basicUpdateView.TabIndex = 0;
+      // 
       // localPluginsTabPage
       // 
-      this.localPluginsTabPage.Controls.Add(this.updateButton);
-      this.localPluginsTabPage.Controls.Add(this.removeButton);
-      this.localPluginsTabPage.Controls.Add(this.localPluginManagerView);
+      this.localPluginsTabPage.Controls.Add(this.localPluginsView);
       this.localPluginsTabPage.Location = new System.Drawing.Point(4, 22);
       this.localPluginsTabPage.Name = "localPluginsTabPage";
       this.localPluginsTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.localPluginsTabPage.Size = new System.Drawing.Size(583, 342);
+      this.localPluginsTabPage.Size = new System.Drawing.Size(590, 366);
       this.localPluginsTabPage.TabIndex = 0;
       this.localPluginsTabPage.Text = "Installed Plugins";
       this.localPluginsTabPage.UseVisualStyleBackColor = true;
       // 
-      // updateButton
-      // 
-      this.updateButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.updateButton.Enabled = false;
-      this.updateButton.Image = global::HeuristicLab.PluginInfrastructure.Properties.Resources.VS2008ImageLibrary_Objects_Internet;
-      this.updateButton.Location = new System.Drawing.Point(6, 305);
-      this.updateButton.Name = "updateButton";
-      this.updateButton.Size = new System.Drawing.Size(91, 31);
-      this.updateButton.TabIndex = 12;
-      this.updateButton.Text = "Update All";
-      this.updateButton.TextImageRelation = System.Windows.Forms.TextImageRelation.ImageBeforeText;
-      this.updateButton.UseVisualStyleBackColor = true;
-      this.updateButton.Click += new System.EventHandler(this.updateAllButton_Click);
+      // localPluginsView
+      // 
+      this.localPluginsView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.localPluginsView.InstallationManager = null;
+      this.localPluginsView.Location = new System.Drawing.Point(6, 6);
+      this.localPluginsView.Name = "localPluginsView";
+      this.localPluginsView.PluginManager = null;
+      this.localPluginsView.Size = new System.Drawing.Size(578, 354);
+      this.localPluginsView.StatusView = null;
+      this.localPluginsView.TabIndex = 0;
       // 
       // availablePluginsTabPage
       // 
       this.availablePluginsTabPage.Controls.Add(this.remotePluginInstaller);
-      this.availablePluginsTabPage.Controls.Add(this.refreshButton);
-      this.availablePluginsTabPage.Controls.Add(this.installButton);
       this.availablePluginsTabPage.Location = new System.Drawing.Point(4, 22);
       this.availablePluginsTabPage.Name = "availablePluginsTabPage";
       this.availablePluginsTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.availablePluginsTabPage.Size = new System.Drawing.Size(583, 342);
+      this.availablePluginsTabPage.Size = new System.Drawing.Size(590, 366);
       this.availablePluginsTabPage.TabIndex = 1;
       this.availablePluginsTabPage.Text = "Available Plugins";
       this.availablePluginsTabPage.UseVisualStyleBackColor = true;
       // 
-      // refreshButton
-      // 
-      this.refreshButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.refreshButton.Image = global::HeuristicLab.PluginInfrastructure.Properties.Resources.VS2008ImageLibrary_Objects_Internet;
-      this.refreshButton.Location = new System.Drawing.Point(6, 305);
-      this.refreshButton.Name = "refreshButton";
-      this.refreshButton.Size = new System.Drawing.Size(72, 31);
-      this.refreshButton.TabIndex = 11;
-      this.refreshButton.Text = "Refresh";
-      this.refreshButton.TextImageRelation = System.Windows.Forms.TextImageRelation.ImageBeforeText;
-      this.refreshButton.UseVisualStyleBackColor = true;
-      this.refreshButton.Click += new System.EventHandler(this.refreshRemoteButton_Click);
+      // remotePluginInstaller
+      // 
+      this.remotePluginInstaller.AllPlugins = new HeuristicLab.PluginInfrastructure.IPluginDescription[0];
+      this.remotePluginInstaller.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.remotePluginInstaller.Location = new System.Drawing.Point(6, 6);
+      this.remotePluginInstaller.Name = "remotePluginInstaller";
+      this.remotePluginInstaller.NewPlugins = new HeuristicLab.PluginInfrastructure.IPluginDescription[0];
+      this.remotePluginInstaller.Products = new HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.ProductDescription[0];
+      this.remotePluginInstaller.ShowAllPlugins = false;
+      this.remotePluginInstaller.Size = new System.Drawing.Size(578, 354);
+      this.remotePluginInstaller.TabIndex = 14;
       // 
       // uploadPluginsTabPage
@@ -206,8 +198,19 @@
       this.uploadPluginsTabPage.Name = "uploadPluginsTabPage";
       this.uploadPluginsTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.uploadPluginsTabPage.Size = new System.Drawing.Size(583, 342);
+      this.uploadPluginsTabPage.Size = new System.Drawing.Size(590, 366);
       this.uploadPluginsTabPage.TabIndex = 3;
       this.uploadPluginsTabPage.Text = "Upload Plugins";
       this.uploadPluginsTabPage.UseVisualStyleBackColor = true;
+      // 
+      // pluginEditor
+      // 
+      this.pluginEditor.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.pluginEditor.Location = new System.Drawing.Point(6, 6);
+      this.pluginEditor.Name = "pluginEditor";
+      this.pluginEditor.PluginManager = null;
+      this.pluginEditor.Size = new System.Drawing.Size(578, 354);
+      this.pluginEditor.TabIndex = 0;
       // 
       // manageProductsTabPage
@@ -217,9 +220,19 @@
       this.manageProductsTabPage.Name = "manageProductsTabPage";
       this.manageProductsTabPage.Padding = new System.Windows.Forms.Padding(3);
-      this.manageProductsTabPage.Size = new System.Drawing.Size(583, 342);
+      this.manageProductsTabPage.Size = new System.Drawing.Size(590, 366);
       this.manageProductsTabPage.TabIndex = 4;
       this.manageProductsTabPage.Text = "Manage Products";
       this.manageProductsTabPage.UseVisualStyleBackColor = true;
       // 
+      // productEditor
+      // 
+      this.productEditor.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.productEditor.Location = new System.Drawing.Point(6, 6);
+      this.productEditor.Name = "productEditor";
+      this.productEditor.Size = new System.Drawing.Size(578, 354);
+      this.productEditor.TabIndex = 0;
+      // 
       // logTabPage
       // 
@@ -227,5 +240,5 @@
       this.logTabPage.Location = new System.Drawing.Point(4, 22);
       this.logTabPage.Name = "logTabPage";
-      this.logTabPage.Size = new System.Drawing.Size(583, 342);
+      this.logTabPage.Size = new System.Drawing.Size(590, 366);
       this.logTabPage.TabIndex = 2;
       this.logTabPage.Text = "Log";
@@ -242,5 +255,5 @@
       this.logTextBox.ReadOnly = true;
       this.logTextBox.ScrollBars = System.Windows.Forms.ScrollBars.Vertical;
-      this.logTextBox.Size = new System.Drawing.Size(577, 336);
+      this.logTextBox.Size = new System.Drawing.Size(584, 360);
       this.logTextBox.TabIndex = 0;
       // 
@@ -252,5 +265,5 @@
       this.menuStrip.Location = new System.Drawing.Point(0, 0);
       this.menuStrip.Name = "menuStrip";
-      this.menuStrip.Size = new System.Drawing.Size(615, 24);
+      this.menuStrip.Size = new System.Drawing.Size(622, 24);
       this.menuStrip.TabIndex = 17;
       this.menuStrip.Text = "menuStrip1";
@@ -300,56 +313,9 @@
       this.connectionSettingsToolStripMenuItem.Click += new System.EventHandler(this.connectionSettingsToolStripMenuItem_Click);
       // 
-      // localPluginManagerView
-      // 
-      this.localPluginManagerView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.localPluginManagerView.Location = new System.Drawing.Point(6, 6);
-      this.localPluginManagerView.Name = "localPluginManagerView";
-      this.localPluginManagerView.Plugins = null;
-      this.localPluginManagerView.Size = new System.Drawing.Size(569, 293);
-      this.localPluginManagerView.TabIndex = 0;
-      this.localPluginManagerView.ItemChecked += new System.Windows.Forms.ItemCheckedEventHandler(this.localPluginManager_ItemChecked);
-      // 
-      // remotePluginInstaller
-      // 
-      this.remotePluginInstaller.AllPlugins = new HeuristicLab.PluginInfrastructure.IPluginDescription[0];
-      this.remotePluginInstaller.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.remotePluginInstaller.Location = new System.Drawing.Point(6, 6);
-      this.remotePluginInstaller.Name = "remotePluginInstaller";
-      this.remotePluginInstaller.NewPlugins = new HeuristicLab.PluginInfrastructure.IPluginDescription[0];
-      this.remotePluginInstaller.Products = new HeuristicLab.PluginInfrastructure.Advanced.DeploymentService.ProductDescription[0];
-      this.remotePluginInstaller.ShowAllPlugins = false;
-      this.remotePluginInstaller.Size = new System.Drawing.Size(571, 293);
-      this.remotePluginInstaller.TabIndex = 14;
-      this.remotePluginInstaller.ItemChecked += new System.Windows.Forms.ItemCheckedEventHandler(this.remotePluginInstaller_ItemChecked);
-      // 
-      // pluginEditor
-      // 
-      this.pluginEditor.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.pluginEditor.Location = new System.Drawing.Point(6, 6);
-      this.pluginEditor.Name = "pluginEditor";
-      this.pluginEditor.Size = new System.Drawing.Size(571, 330);
-      this.pluginEditor.TabIndex = 0;
-      // 
-      // productEditor
-      // 
-      this.productEditor.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-                  | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.productEditor.Location = new System.Drawing.Point(6, 6);
-      this.productEditor.Name = "productEditor";
-      this.productEditor.Size = new System.Drawing.Size(571, 330);
-      this.productEditor.TabIndex = 0;
-      // 
       // InstallationManagerForm
       // 
       this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
-      this.ClientSize = new System.Drawing.Size(615, 420);
+      this.ClientSize = new System.Drawing.Size(622, 444);
       this.Controls.Add(this.tabControl);
       this.Controls.Add(this.statusStrip);
@@ -362,4 +328,5 @@
       this.statusStrip.PerformLayout();
       this.tabControl.ResumeLayout(false);
+      this.updateAllPluginsTabPage.ResumeLayout(false);
       this.localPluginsTabPage.ResumeLayout(false);
       this.availablePluginsTabPage.ResumeLayout(false);
@@ -380,8 +347,5 @@
     private System.Windows.Forms.ToolStripProgressBar toolStripProgressBar;
     private System.Windows.Forms.ToolStripStatusLabel toolStripStatusLabel;
-    private LocalPluginManagerView localPluginManagerView;
     private RemotePluginInstallerView remotePluginInstaller;
-    private System.Windows.Forms.Button removeButton;
-    private System.Windows.Forms.Button installButton;
     private System.Windows.Forms.TabControl tabControl;
     private System.Windows.Forms.TabPage localPluginsTabPage;
@@ -389,5 +353,4 @@
     private System.Windows.Forms.TabPage logTabPage;
     private System.Windows.Forms.TextBox logTextBox;
-    private System.Windows.Forms.Button refreshButton;
     private System.Windows.Forms.MenuStrip menuStrip;
     private System.Windows.Forms.ToolStripMenuItem viewToolStripMenuItem;
@@ -396,9 +359,11 @@
     private System.Windows.Forms.ToolStripMenuItem optionsToolStripMenuItem;
     private System.Windows.Forms.ToolStripMenuItem connectionSettingsToolStripMenuItem;
-    private System.Windows.Forms.Button updateButton;
     private System.Windows.Forms.TabPage uploadPluginsTabPage;
     private System.Windows.Forms.TabPage manageProductsTabPage;
     private PluginEditor pluginEditor;
     private ProductEditor productEditor;
+    private LocalPluginsView localPluginsView;
+    private System.Windows.Forms.TabPage updateAllPluginsTabPage;
+    private BasicUpdateView basicUpdateView;
   }
 }
